Page MenuHomePhabricator

Links created by selecting text in target and clicking on source link may be a red link in target wiki
Closed, ResolvedPublic1 Story Points

Description

Currently you can create a new link in the translation column by selecting text and clicking on any source link, even if the source link is really a missing link or the source link cannot be adapted. Links created in this manner turn red when you click on them and cannot be removed. No target card is shown when clicking on these links.

Related Objects

Event Timeline

Jsahleen updated the task description. (Show Details)
Jsahleen raised the priority of this task from to Needs Triage.
Jsahleen added subscribers: Aklapper, Jsahleen.
santhosh renamed this task from It is possible to create a new link in the translation column by selecting text and clicking on a source link that is a missing link or cannot be adapted. to Links created by selecting text in target and clicking on source link may be a red link in target wiki.Jan 7 2015, 4:04 AM
santhosh triaged this task as Normal priority.
santhosh removed a project: Technical-Debt.
santhosh set Security to None.
santhosh added subscribers: Pginer-WMF, santhosh.

I removed technical-debt tag because this is a bug- more precisely an interaction scenario that need a definition. and not a technical debt.

@Jsahleen, what is the proposed expected result in this case?
@Pginer-WMF, what do you recommend?

If the link created does not exist in target wiki, target link card also wont be shown as reported in T85927

Pginer-WMF added a comment.EditedJan 7 2015, 8:42 AM

We should avoid creating a link the user cannot remove.

Creating a redlink automatically has some issues*, so I would suggest not generating a link in that case but showing the missing link card if (and only if) the link does not exist in the target language (and there is no other article with that name) in order to allow the user to create a red link if they want.

( * The issue of creating a red link automatically is about which should be the target. If the target is the current selected text, there may be an article with that title (which won't be equivalent to the source link) and we can generate a link to the wrong article. )

Arrbee lowered the priority of this task from Normal to Low.Jan 12 2015, 2:34 PM
Arrbee moved this task from Long term to CX5 on the ContentTranslation board.Apr 20 2015, 6:06 AM
This comment was removed by Amire80.
Amire80 raised the priority of this task from Low to High.Jul 2 2015, 3:47 PM
Amire80 moved this task from Backlog to Links on the ContentTranslation-Release6 board.
Amire80 moved this task from CX5 to CX6 on the ContentTranslation board.Jul 2 2015, 4:32 PM
Arrbee edited a custom field.Aug 12 2015, 7:22 AM
Nikerabbit raised the priority of this task from High to Unbreak Now!.
Nikerabbit lowered the priority of this task from Unbreak Now! to High.
Nikerabbit claimed this task.

Change 237095 had a related patch set uploaded (by Nikerabbit):
Do not allow creation of link to selection by clicking red link in source

https://gerrit.wikimedia.org/r/237095

Change 237095 merged by jenkins-bot:
Do not allow creation of link to selection by clicking red link in source

https://gerrit.wikimedia.org/r/237095

Change 239102 had a related patch set uploaded (by Nikerabbit):
Prevent creation of unadapted link in target

https://gerrit.wikimedia.org/r/239102

Change 239102 merged by jenkins-bot:
Prevent creation of unadapted link in target

https://gerrit.wikimedia.org/r/239102

Arrbee moved this task from In Review to QA on the LE-CX6-Sprint 4 board.Sep 21 2015, 7:09 AM
Arrbee moved this task from QA to Done on the LE-CX6-Sprint 4 board.Sep 21 2015, 2:14 PM
Amire80 closed this task as Resolved.Oct 2 2015, 2:47 PM